.homework {
  padding: 23px 20px 50px 40px;
}

.homework .title {
  padding-bottom: 17px;
  margin-bottom: 21px;
  border-bottom: 1px dashed #D8D8D8;
  display: flex;
  align-items: center;
}

.homework .title img {
  transform:rotate(180deg);
  margin-right: 10px;
  width: 17px;
  height: 13px;
  cursor: pointer;
}

.homework .tab {
  margin-left: 8px;
  color: #878787;
  margin-bottom: 40px;
}

.homework .tab .tab-item {
  cursor: pointer;
  font-size: 14px;
  font-family: PingFangSC-Semibold, PingFang SC;
  font-weight: 600;
  color: #878787;
  line-height: 20px;
  position: relative;
}

.homework .tab .tab-item.active {
  cursor: default;
  color:#B39761;
}

.homework .tab .tab-item:nth-child(n){
  padding: 0 20px 0px 0px;
  position: relative;
  display: inline-block;
  /* width: 177.6px; */
  /* text-align: center; */
  /* text-overflow: ellipsis; 
  white-space: nowrap; 
  overflow: hidden;  */
}

.homework .tab .tab-item:nth-child(n)::after {
  content: '';
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  height: 65%;
  border-right: 1px solid #979797;
  right: 10px;
}
.homework .tab .tab-item:last-child::after {
  border-right: 1px solid transparent;
}

.homework .container {
  margin-left: 8px;
}

.homework .container .outline {
  margin-bottom: 30px;
  font-size: 14px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #4F4F4F;
  line-height: 20px;
}

.homework .container .items {
  margin-left: 30px;
  margin-right: 70px;
}

.homework .container .items .item h4 {
  padding-top: 10px;
  margin-bottom: 20px;
  font-size: 18px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #4F4F4F;
  line-height: 25px;
}

.homework .container .items .item ul {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  /* justify-content: start; */
}

.homework .container .items .item ul::after{
  content: '';
  width: 242px;
}

.homework .container .items .item ul li {
  width: 242px;
  min-width: 242px;
  max-width: 242px;
  height: 192px;
  background: #F5F6F7;
  border-radius: 4px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-bottom: 30px;
  cursor: pointer;
  flex: 3;
}

.homework .container .items .item ul li .status .submit-tip{
  display: none;
}

/* .homework .container .items .step-two ul li { */
.homework .container .items .item ul li:hover {
  background: #FFFFFF;
  box-shadow: 0px 20px 10px -10px rgba(0, 0, 0, 0.05);
  border-radius: 4px;
  border: 1px solid #EEEEEE;
  position: relative;
  top: -10px;
}

/* .homework .container .items .step-two ul li .status .submit { */
.homework .container .items .item ul li:hover .status .submit {
  display: none;
}
/* .homework .container .items .step-two ul li .status .submit-tip { */
.homework .container .items .item ul li:hover .status .submit-tip {
  display: inline-block;
}

.homework .container .items .item ul li.active {
  background: #FFFFFF;
  box-shadow: 0px 20px 10px -10px rgba(0, 0, 0, 0.05);
  border-radius: 4px;
  border: 1px solid #EEEEEE;
  position: relative;
  top: -10px;
}

.homework .container .items .item ul li h5 {
  font-size: 18px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #4A4A4A;
  line-height: 25px;
  width: 191px;
  text-overflow: -o-ellipsis-lastline;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  text-align: start;
  margin-left: 25px;
  padding-top: 20px;
  margin-bottom: 10px;
}

.homework .container .items .item ul li .teacher {
  margin-left: 25px;
  font-size: 12px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #4A4A4A;
  line-height: 17px;
  margin-right: 30px;
}

.homework .container .items .step-one ul li .status {
  text-align: center;
  font-size: 16px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #B2B2B2;
  min-height: 58px;
  line-height: 58px;
}

.homework .container .items .step-one ul li .deadline {
  font-size: 12px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #CCCCCC;
  line-height: 17px;
  text-align: center;
  margin-bottom: 20px;
}

.homework .container .items .step-two ul li .status {
  text-align: center;
  font-size: 16px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #B2B2B2;
  min-height: 90px;
  line-height: 100px;
}

.homework .container .items .item ul li .status span img {
  width: 17px;
  height: 13px;
  margin-left: 10px;
}

.homework .container .items .step-three ul li .status {
  text-align: center;
  font-size: 16px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #B2B2B2;
  min-height: 95px;
  line-height: 95px;
}

.homework .container .items .step-three ul li .status img {
  width: 80px;
  vertical-align: middle;
}

.homework .tab-detail {
  margin-left: 8px;
  color: #878787;
  margin-bottom: 22px;
}

.homework .tab-detail .tab-item {
  cursor: pointer;
  font-size: 14px;
  font-family: PingFangSC-Semibold, PingFang SC;
  font-weight: 600;
  color: #B39761;
  line-height: 20px;
}

.homework .tab-detail .tab-item.active {
  cursor: default;
  color:#B39761;
}

.homework .content .info {
  margin-right: 8px;
  margin-left: 8px;
  background: rgba(215, 190, 139, 0.1);
  display: flex;
  justify-content: space-between;
  padding: 15px 20px 20px 20px;
  align-items: center;
  margin-bottom: 53px;
}

.homework .content .info .flex-item:nth-of-type(1) .homework-name {
  font-size: 18px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #4F4F4F;
  line-height: 25px;
}

.homework .content .info .flex-item:nth-of-type(1) .teacher-name {
  margin-top: 10px;
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #4F4F4F;
  line-height: 17px;
}

.homework .content .info .flex-item:nth-of-type(2) .warm {
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #D7BE8B;
  line-height: 17px;
  display: flex;
  align-items: center;
}

.homework .content .info .flex-item:nth-of-type(2) .warm img {
  width: 80px;
}

.homework .content .info .flex-item:nth-of-type(2) .warm span span {
  font-size: 25px;
  font-weight: bold;
}

.homework .content .timeline {
  margin-left: 49px;
  position: relative;
  /* height: 100px; */
}

.homework .content .flex-item::before {
  background-color: #CCCCCC;
  content: '';
  margin-left: -1px;
  position: absolute;
  top: 0;
  left: -14px;
  width: 1px;
  height: 100%;
}

.homework .content .flex-item.active::before {
  background-color:#E9D3A6;
}

.homework .content .flex-item:nth-of-type(n)::before {
  top: 11px
}

.homework .content .base .flex-item:nth-of-type(2)::before {
  top: 11px
}

/* .homework .content .flex-item:last-of-type:before {
  height: 11px;
} */

.homework .content .result:last-of-type:before {
  /* height: 11px; */
  height: 0px;
  top: 0px
}


.homework .content .timeline .flex-item {
  position: relative;
}

.homework .content .timeline .flex-item .item-name {
  display: flex;
  justify-content: space-between;
}

.homework .content .timeline .flex-item .item-name span:nth-of-type(1) {
  font-size: 16px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #4A4A4A;
  line-height: 22px;
}

.homework .content .timeline .flex-item .item-name span:nth-of-type(2) {
  height: 22px;
  font-size: 12px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #CCCCCC;
  line-height: 22px;
}

.homework .content .timeline .flex-item .item-name span:nth-of-type(3) {
  width: 117px;
  height: 22px;
  font-size: 16px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #4A4A4A;
  line-height: 22px;
  margin-right: 30px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.homework .content .timeline .flex-item .item-name span:nth-of-type(3) img {
  width: 16px;
  margin-right: 5px;
  vertical-align: text-bottom;
  line-height: 22px;
}

.homework .content .timeline .flex-item .icon {
  width: 9px;
  height: 9px;
  position: absolute;
  border-radius: 50%;
  /* background: #FFFFFF; */
  /* border: 1px solid #EEEEEE; */
  background: #CCCCCC;
  top: 8px;
  left: -19px;
}

.homework .content .timeline .flex-item .icon.active {
  background: #E9D3A6;
  /* background: #FFFFFF; */
  border: 1px solid transparent;
}

.homework .content .timeline .flex-item .icon.inactive {
  background: #FFFFFF;
  border: 1px solid #EEEEEE;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .tip {
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #4A4A4A;
  line-height: 17px;
  margin-top: 15px;
  margin-left: 10px;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .upload-button {
  display: flex;
  margin-top: 28px;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .upload-button span {
  display: inline-block;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .upload-button span:nth-of-type(1) {
  background: #FFFFFF;
  font-size: 12px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #654F2F;
  line-height: 17px;
  padding: 6px 15px 7px 15px;
  background: #E9D3A6;
  border-radius: 15px;
  position: relative;
  cursor: pointer;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .upload-button span:nth-of-type(1) input {
  position: absolute;
  right: 0;
  top: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  opacity: 0;
  font-size: 0;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .upload-button span:nth-of-type(2) {
  line-height: 30px;
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #B2B2B2;
  margin-left: 8px;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .confirm-button {
  display: flex;
  margin-top: 28px;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .confirm-button span {
  display: inline-block;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .confirm-button .confirm-button-inactive {
  font-size: 12px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #B2B2B2;
  line-height: 17px;
  padding: 6px 15px 7px 15px;
  background: #EEEEEE;
  border-radius: 15px;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .confirm-button .confirm-button-active {
  background: #E9D3A6; 
  color: #654F2F; 
  cursor: pointer; 
  position: relative;
  font-size: 12px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  line-height: 17px;
  padding: 6px 15px 7px 15px;
  border-radius: 15px;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .confirm-button span:nth-of-type(1) input {
  position: absolute;
  right: 0;
  top: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  opacity: 0;
  font-size: 0;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .confirm-button span:nth-of-type(2) {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .confirm-button span:nth-of-type(2) span:nth-of-type(1) {
  /* line-height: 30px; */
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #B2B2B2;
  margin-left: 8px;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .confirm-button span:nth-of-type(2) span:nth-of-type(2) {
  font-size: 10px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #FA4D4D;
  line-height: 14px;
  margin-left: 8px;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .upload-status {
  margin-left: 10px;
  margin-top: 20px;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .upload-status span:nth-of-type(1) {
  background: #F5F6F7;
  display: inline-block;
  padding: 9px 15px;
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #4A4A4A;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .upload-status span:nth-of-type(2) {
  background: #F5F6F7;
  display: inline-block;
  padding: 9px 15px;
  font-size: 10px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #B2B2B2;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .upload-status span:nth-of-type(1):hover {
  background:rgba(215, 190, 139, 0.1);
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .upload-status span:nth-of-type(1):hover .status {
  background:rgba(215, 190, 139, 0.1);
}



.homework .content .timeline .flex-item:nth-of-type(1) .item-content .update {
  margin-left: 10px;
  margin-top: 8px;
  display: flex;
  display: inline-block;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .update span:nth-of-type(1) {
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #B2B2B2;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .update span:nth-of-type(2) {
  font-size: 12px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #4A4A4A;
  margin-left: 15px;
  position: relative;
  cursor: pointer;
}

.homework .content .timeline .flex-item:nth-of-type(1) .item-content .update span:nth-of-type(2) input {
  position: absolute;
  right: 0;
  top: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  opacity: 0;
  font-size: 0;
}

.homework .content .timeline .flex-item .item-name span .deadline-tip {
  margin-left: 8px;
  font-size: 10px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #FA4D4D;
  line-height: 22px;
}

.homework .content .timeline .flex-item .item-name span img {
  width: 16px;
  height: 16px;
  vertical-align: text-bottom;
  margin-right: 1px;
}

.homework .content .timeline .flex-item .item-content {
  padding-bottom: 30px;
}

.homework .content .timeline .flex-item .item-content .feadback-tip {
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #4A4A4A;
  line-height: 17px;
  padding: 15px 10px 0px;
}

.homework .content .timeline .flex-item .item-content .feadback {
  border-radius: 3px;
  border: 1px solid #EEEEEE;
  font-size: 10px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #B2B2B2;
  padding: 6px 10px;
  width: 110px;
  margin-top: 20px;
  margin-left: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
}

.homework .content .timeline .flex-item .item-content .feadback:hover {
  background:rgba(215, 190, 139, 0.1);
}

.homework .content .timeline .flex-item .item-content .feadback img {
  width: 10px;
  height: 10px;
}

.homework .content .timeline .flex-item .item-content .score {
  margin-left: 10px;
  margin-top: 15px;
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #4A4A4A;
  display: inline-block;
}

.homework .content .timeline .flex-item .item-content .score span:first-of-type {
  margin-right: 30px;
}


.homework-dialog {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  display: none;
  z-index: 10000;
}
.homework-dialog.active {
  display: block;
}
.homework-dialog .mask{
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background-color: rgba(0, 0, 0, .5);
  z-index: 10001;
  overflow: auto;
}

.homework-dialog .container {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 10002;
}

.homework-dialog .container > img {
  width: 64px;
  height: 64px;
  position: absolute;
  right: 0px;
  top: -64px;
  cursor: pointer;
}

.homework-dialog .content {
  width: 793px;
  min-height: 237px;
  max-height: 533px;
  background: #F5F6F7;
  padding: 30px 40px 40px;
  overflow-y: scroll;
}

.homework-dialog .content .notice .title,
.homework-dialog .content .template .title {
  font-size: 16px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #4A4A4A;
  line-height: 22px;
  padding-bottom: 15px;
}

.homework-dialog .content .notice .detail {
  font-size: 12px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #B2B2B2;
  line-height: 17px;
  margin-bottom: 25px;
  max-height: 340px;
  overflow-y: scroll;
}

.homework-dialog .content .template .detail {
  font-size: 12px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #B39761;
  line-height: 17px;
  text-decoration: underline;
  margin-bottom: 15px;
}

.homework-dialog .content .template .detail a {
  font-size: 12px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 500;
  color: #B39761;
  line-height: 17px;
  text-decoration: underline;
}

.teacher-comment {
  background: #F5F6F7;padding: 20px;margin-left: 10px;margin-top: 20px;box-sizing: border-box;max-width: 480px;clear: both;
}

.teacher-comment .hint {
  font-size: 14px;
  font-family: PingFangSC-Medium, PingFang SC;
  font-weight: 600;
  color: #4A4A4A;
  line-height: 20px;
  display: block;
}
.teacher-comment .hint img {
  width: 20px;
  height: 20px;
  vertical-align: bottom;
}
.teacher-comment .comment {
  padding: 12px 0 0 5px;
  font-size: 12px;
  font-family: PingFangSC-Regular, PingFang SC;
  font-weight: 400;
  color: #4A4A4A;
  line-height: 18px;
  display: block;
  word-wrap: break-word;
  word-break: normal;
}